package org.apache.logging.log4j.core.jackson;

import com.fasterxml.jackson.databind.Module.SetupContext;
import com.fasterxml.jackson.dataformat.xml.JacksonXmlModule;

final class Log4jXmlModule extends JacksonXmlModule {
   private static final long serialVersionUID = 1L;

   Log4jXmlModule() {
      (new Initializers.SimpleModuleInitializer()).initialize(this);
   }

   public void setupModule(SetupContext context) {
      super.setupModule(context);
      (new Initializers.SetupContextInitializer()).setupModule(context);
   }
}
